
Foreman - Bug #3030

Facter isn't loaded, but is referenced in DB migrations etc.

09/05/2013 04:32 PM - Dominic Cleal

Status: Closed   

Priority: Urgent   

Assignee: Greg Sutcliffe   

Category: Packaging   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Facter library is no longer 'required' anywhere now that Puppet is no longer loaded due to #2414, but we still have quite a few

references to it.

This causes DB migrations on a clean installation to fail:

uninitialized constant AddOwnerToHosts::Facter/var/lib/workspace/workspace/test_develop/database/m

ysql/ruby/1.8.7/db/migrate/20100419151910_add_owner_to_hosts.rb:12:in `up'

 Other uses of it:

app/models/setting/auth.rb

app/models/setting/provisioning.rb

app/models/setting/general.rb

lib/tasks/reset_permissions.rake

db/migrate/20100628123400_add_internal_auth.rb

db/migrate/20100419151910_add_owner_to_hosts.rb

 All of these should probably just require 'facter' until we can get rid of it too.

Related issues:

Related to Foreman - Feature #2414: Remove Puppet from Foreman core Closed 04/19/2013

Associated revisions

Revision 8d4bcf4a - 09/05/2013 05:05 PM - Greg Sutcliffe

Fixes #3030 - require facter where necessary

History

#1 - 09/05/2013 04:32 PM - Dominic Cleal

- Related to Feature #2414: Remove Puppet from Foreman core added

#2 - 09/05/2013 04:59 PM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/868

#3 - 09/05/2013 05:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8d4bcf4a42eb2288d198225eede5b1525bee04a4.
